jQuery UI1.10へのバージョンアップ時の注意[タブ利用、tabs、selected]


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/mildleaf/www/alc/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/mildleaf/www/alc/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

jQuery UIを1.10にバージョンアップしたところ、タブ(tabs)で初期選択タブの「selected」指定がうまく動作しなくなりました。

調べてみたところ、どうやら1.10から「selected」は削除され、「active」へと改名されたようで。
(正確には、1.9でselectedが非推奨になりactiveに改名され、1.10でselectedが削除されたという流れ。)

[参考]jQuery UI日本語リファレンス Tabs
(ページ中程の「オプション」タブをクリックすると、selected、activeの説明有)

JavaScriptのコードとしては、今まで

$('#tabs').tabs({
	selected:1
});

と書いていたのが、
1.10からは

$("#tabs").tabs({
	active:1
});

と、「selected」を「active」に置き換えるだけで問題なく動くようになりました。

同じところで困っている方がいらっしゃいましたら、よろしければご参考までに。